org.apache.jmeter.gui.tree

## Class JMeterTreeTransferHandler

- java.lang.Object
- - javax.swing.TransferHandler
  - - org.apache.jmeter.gui.tree.JMeterTreeTransferHandler

All Implemented Interfaces:
  Serializable

    public class JMeterTreeTransferHandler
    extends TransferHandler

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class javax.swing.TransferHandler

`TransferHandler.DropLocation, TransferHandler.TransferSupport`

### Field Summary

### Fields inherited from class javax.swing.TransferHandler

`COPY, COPY_OR_MOVE, LINK, MOVE, NONE`

### Constructor Summary

Constructors
Constructor and Description
`JMeterTreeTransferHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `canImport(TransferHandler.TransferSupport support)`
`protected Transferable` `createTransferable(JComponent c)`
`protected void` `exportDone(JComponent source, Transferable data, int action)`
`int` `getSourceActions(JComponent c)`
`boolean` `importData(TransferHandler.TransferSupport support)`

### Methods inherited from class javax.swing.TransferHandler

`canImport, exportAsDrag, exportToClipboard, getCopyAction, getCutAction, getDragImage, getDragImageOffset, getPasteAction, getVisualRepresentation, importData, setDragImage, setDragImageOffset`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JMeterTreeTransferHandler

    public JMeterTreeTransferHandler()

### Method Detail

#### getSourceActions

    public int getSourceActions(JComponent c)

Overrides:
  `getSourceActions` in class `TransferHandler`

#### createTransferable

    protected Transferable createTransferable(JComponent c)

Overrides:
  `createTransferable` in class `TransferHandler`

#### exportDone

    protected void exportDone(JComponent source,
                              Transferable data,
                              int action)

Overrides:
  `exportDone` in class `TransferHandler`

#### canImport

    public boolean canImport(TransferHandler.TransferSupport support)

Overrides:
  `canImport` in class `TransferHandler`

#### importData

    public boolean importData(TransferHandler.TransferSupport support)

Overrides:
  `importData` in class `TransferHandler`